### Function

# GLib test_add_vtable

#### Declaration

    void
    g_test_add_vtable (
      const char* testpath,
      gsize data_size,
      gconstpointer test_data,
      GTestFixtureFunc data_setup,
      GTestFixtureFunc data_test,
      GTestFixtureFunc data_teardown
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`testpath`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data_size`

  Type: `gsize`

  No description available.

`test_data`

  Type: `gconstpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_setup`

  Type: `GTestFixtureFunc`

  No description available.

`data_test`

  Type: `GTestFixtureFunc`

  No description available.

`data_teardown`

  Type: `GTestFixtureFunc`

  No description available.